[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[p2-dev] Failed to run the product build

Thank you, Ian, for your suggestion. But I guess I still have some piece missing.
I set up an environment with RC4 and unzipped delta pack to D:\eclipse-SDK-3.6RC4\eclipse-3.6RC4-delta-pack. But the eclipse.exe was not included yet.
I'm attaching my build.properties here to see if you can find anything wrong in it.
(See attached file: build.properties)
Best Regards

Samuel Wu

----- Forwarded by Samuel Wu/Toronto/IBM on 06/13/2010 12:03 PM -----


From:

Ian Bull <irbull@xxxxxxxxxxxxxxxxx>

To:

P2 developer discussions <p2-dev@xxxxxxxxxxx>

Date:

06/13/2010 11:00 AM

Subject:

Re: Fw: [p2-dev] Failed to run the product build

Sent by:

p2-dev-bounces@xxxxxxxxxxx




If you are running product builds (productBuild.xml) and you want the launchers then  you
1. must set your config specs to include the platforms you want to bulid for (win32, win32, x86 for example).
2. Ensure that the delta pack (or at least the exe feature and launcher fragments) are on your pluinPath

I usually just point pluginPath to the root of the delta pack.

For reasons that Andrew can explain, you can't put the delta pack in the dropins (or on any update site).

cheers,
ian

On Sun, Jun 13, 2010 at 7:51 AM, Samuel Wu <samuelwu@xxxxxxxxxx> wrote:

From:

Andrew Niefer/Ottawa/IBM

To:

Samuel Wu/Toronto/IBM@IBMCA

Date:

06/10/2010 10:50 AM

Subject:

Re: Fw: [p2-dev] Failed to run the product build



--
R. Ian Bull | EclipseSource Victoria | +1 250 477 7484

http://eclipsesource.com | http://twitter.com/eclipsesource_______________________________________________
p2-dev mailing list
p2-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/p2-dev

GIF image

Attachment: build.properties
Description: Binary data